# vim:ft=yaml

execute_after:
  - xset s 90 10
  - /home/kunsi/.fehbg
  - sudo rfkill unblock wifi
  - xrandr --output eDP1 --set "Broadcast RGB" "Full"

rules:
  - name: 'presentation'
    outputs_connected:
      - HDMI2
    configure_row:
      - HDMI2@1920x1080
      - eDP1
    primary: eDP1
    execute_after:
      - xset s off
      - systemctl --user stop redshift.service

  - name: 'docked with dock-connector'
    outputs_connected:
      - DP2-1
      - DP2-2
    configure_row:
      - eDP1
      - DP2-2
      - DP2-1
    primary: DP2-1
    execute_after:
      - xset s off
      - sudo rfkill block wifi
      - xbacklight =100
      - xrandr --output DP2-2 --set "Broadcast RGB" "Full"
      - xrandr --output DP2-1 --set "Broadcast RGB" "Full"

  - name: 'internal only'
    configure_single: eDP1
    primary: eDP1
